Ongoing: Puppeteer 1.15 stability and rollback

We noticed elevated error rates on EU region browser check runners with our Puppeteer 1.15 upgrade from yesterday. All other regions seem not affected.

To investigate this, we rolled back the Frankfurt, Ireland, London and Paris regions to the previous release, version 1.11. We will keep monitoring. This should not impact any running browser checks.